Soy nuevo en el Desarrollo de iOS, he instalado Alamofire como dice en el README, pero tengo este error a otros usuarios y no sé cómo resolverlo.

El módulo 'Alamofire' no tiene ningún miembro llamado 'petición'

OriginalEl autor user3579107 | 2015-02-16

6 Comentarios

  1. 2

    Alamofire.xcodeproj -> Fases de construcción -> Complie Fuentes

    Si (0 punto), a continuación, » [ + ] Alamofire.swift«.

    Está bien 🙂

    Podrías elaborar más su respuesta añadiendo un poco más de descripción acerca de la solución que usted proporciona?

    OriginalEl autor ton-katsu

  2. 117

    2019 ACTUALIZACIÓN

    Si usted tiene este error y que el uso de ‘alamofire5 de la rama acaba de cambiar Alamofire.request a AF.request.

    bueno, actualizado a Xcode 10/swift 4.2 y AF se rompió, esto parece haberse fijado.
    Hola tienen que utiliza ssl fijación con alamofire 5 ?
    No, yo no.
    un protector de la vida responder
    gracias! – que tonta, que necesitan para poner una nota en el archivo léame ffs

    OriginalEl autor Said-Abdulla Atkaev

  3. 11

    si usted está utilizando las nuevas Alamofire 5.xxx entonces usted va a utilizar AF en lugar de Almofire como que

    AF.upload(multipartFormData: <#T##(MultipartFormData) -> Void#>, to: <#T##URLConvertible#>)
    
    AF.request(<#T##url: URLConvertible##URLConvertible#>)
    
    AF.download(<#T##url: URLConvertible##URLConvertible#>)
    Esto funcionó perfectamente.. Gracias Amigo (Y)

    OriginalEl autor Sultan Ali

  4. 10

    He resuelto este problema cambiando la Acumulación Activa de las Arquitecturas Sólo ajustes.

    Haga clic en el proyecto en el Explorador de Proyectos, seleccione Configuración de generación, busque Arquitecturas de la sección, y el cambio de la generación Activa de la Arquitectura de valor Sólo para Sí, para la Depuración y No para la Liberación.

    La esperanza de que esto funcionará para usted.

    Alamofire.xcodeproj -> Configuración de generación -> Construir Activo de la Arquitectura : SIN … trabajó para mí desde que me cambié a modo de Depuración. Gracias, has salvado mi día !
    No sé por qué, pero después de horas de probar cosas diferentes, esto funciona, gracias hombre.

    OriginalEl autor Yuxuan Chen

  5. 0

    Sin tener el proyecto en sí, es muy difícil decir cuál es el problema. Sin embargo, usted tiene un problema con el código que se ha escrito. Esto no compila con el data/string/JSON variable está declarada. Que «podría» ser el problema real. Por favor, intente lo siguiente y ver si eso ayuda.

    Alamofire.request(.GET, "http://httpbin.org/get", parameters: ["foo": "bar"])
             .response { request, response, data, error in
                 println(request)
                 println(response)
                 println(data)
                 println(error)
             }
    Hola @user3579107, fue que empezaste a solucionar su problema? Si esta respuesta te ayudó, puede marcarla como tal para ser un buen usuario de la comunidad? Saludos.

    OriginalEl autor cnoon

  6. 0

    He encontrado esta respuesta y a mí me funcionó:

    Tuve el mismo problema después de la instalación de cocoapods.
    La elección de Producto | Limpiar luego de Producto | Build fija.
    El módulo 'Alamofire' no tiene ningún miembro llamado 'petición'
    He seleccionado mi proyecto nombre del proyecto a continuación.
    – Limpiar Cmd+mierda+K
    – Construir Cmd+B
    Curiosamente esto funcionó para mí. Buena Suerte!

    OriginalEl autor uplearnedu.com

Dejar respuesta

Please enter your comment!
Please enter your name here